﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JsDraw
{
    //=========================================================================
    /// <summary>
    /// リストアイテムクラス
    /// </summary>
    public class ListItem
    {
        public ListItem(string display, string value)
        {
            this.DisplayString = display;
            this.TextValue = value;
        }

        public ListItem(string display, int value)
        {
            this.DisplayString = display;
            this.NumberValue = value;
        }

        public ListItem(string display, float value)
        {
            this.DisplayString = display;
            this.FloatValue = value;
        }
        
        public string DisplayString { get; set; }
        public int NumberValue { get; set; }
        public string TextValue { get; set; }
        public float FloatValue { get; set; }

        public override string ToString()
        {
            return this.DisplayString;
        }
    }
}
